import { financialestimatesTableData, finalaccountsTableData, investmentcontrolTableData } from "../../data/table/constructData";
import { keyValuePackage, onceYBarChartPackage } from "../../dataPackage/inFrontOut";
import { getKeyValueOut, getOnceYBarChartOut } from "../../dataPackage/out";
import * as defaultConfig from "../../config/defaultConfig";


/**
 * 概算总数
 * @param req 
 * @param res 
 */
export function getFinancialestimates(req, res) {
    let year = req.query.year || 2023; //年份
    let excelData = financialestimatesTableData();

    let ret:any = {};

    let index = 1;
    for (let key in excelData) {
        if (key.search(year) > -1) { //匹配年份
            let gszsPackageData = keyValuePackage(excelData[key].dataList);
            ret["api" + index] = getKeyValueOut(key, gszsPackageData);
            index++;
        }
    }
                  
    res.send(ret);
}


/**
 * 投控建设
 * @param req 
 * @param res 
 */
export function getInvestmentcontrol(req, res) {
    let year = req.query.year || 2023; //年份
    let excelData = investmentcontrolTableData();

    let ret:any = {};
    
    let index = 1;
    for (let key in excelData) {
        if (key.search(year) > -1) { //匹配年份
            let tkjsPackageData = onceYBarChartPackage( excelData[key], '','');
            ret["api" + index] = getOnceYBarChartOut(key, tkjsPackageData);
            index ++;
        }
    }
                    
    res.send(ret);
}


/**
 * 决算统计
 * @param req 
 * @param res 
 */
export function getFinalaccounts(req, res) {
    let year = req.query.year || 2023; //年份
    let line = req.query.line || "全部"; //线路
    let excelData = finalaccountsTableData();

    let ret:any = {};
   
    let index = 1;
    for (let key in excelData) {
        let tkjsExcelData:any = {};
        if (key.search(year) > -1) { //匹配年份
            let lineData = excelData[key];
            lineData.forEach( info => {
                let {name, data} = info;
                if (line == name) { //判断线路
                    tkjsExcelData = info;
                }
            })

            if (JSON.stringify(tkjsExcelData) === "{}") {
                switch (index) {
                    case 1:
                        tkjsExcelData = defaultConfig.FinalaccountsDefault;
                    break;
                    case 2:
                        tkjsExcelData = defaultConfig.ContractTypeDefault;
                    break;
                    case 3:
                        tkjsExcelData = defaultConfig.BusinessDefault;
                    break;
                }
            }
            
            ret["api" + index] = tkjsExcelData;
            if (index == 2) {
                let itemTotal = 0;
                tkjsExcelData.data.forEach(item => {
                    itemTotal += Math.ceil(item.value) || 0;
                });
                ret["api" + index].total = itemTotal;
            }
            
            index++;
        }
    }
                    
    res.send(ret);
}

