import { mapLineTableData, mapSiteTableData, mapTableData } from '../../data/table/constructData';
import { keyValuePackage, tablePackage } from '../../dataPackage/inFrontOut';
import { getKeyValueOut } from '../../dataPackage/out';
import { change } from '../../dataPackage/inBackOut';
import { onceSheetBecomeOfblockData } from '../../util/analysisExcel';

/*地图*/
export function getMap(req, res) {
    let mapTable = mapTableData();
    let mapLineTable = mapLineTableData();
    let lineCoordinateTable = onceSheetBecomeOfblockData('建设指挥平台/建设指挥平台地图.xlsx', '线路坐标');
    let mapSiteTable = mapSiteTableData();

    let ret:any = {};

    let jcsjPackageData = keyValuePackage(mapTable['基础数据'].dataList);
    ret['jcsj'] = getKeyValueOut('基础数据', jcsjPackageData);

    let mapLineData = change(["name", "value", "key", "ygLine"], mapLineTable["地图线路"].bodyList);
    
    
    mapLineData.forEach( item => {
        let mapLineLocation = {};
        let {name, value, key, ygLine} = item;
        lineCoordinateTable.forEach( lineItem => {
            let {blockTitle, blockData} = lineItem;

            if (name == blockTitle) {
                for (let i = 1; i < blockData.length; i++) {
                    let key = blockData[i][0];
                    let value = blockData[i][1];
                    mapLineLocation[key] = value;
                }
                item["lineLocation"] = mapLineLocation;
            }
        })

        for (let siteKey in mapSiteTable) {
            let mapLineList = [];
            let siteCoordinate = {};
            let mapSiteData = change(["line", "lng", "lat", "height", "heading", "pitch", "roll"], mapSiteTable[siteKey].bodyList);
            
            mapSiteData.forEach( siteItem => {
                let {line, lng, lat, height, heading, pitch, roll} = siteItem;
                siteCoordinate = {lng, lat, height, heading, pitch, roll};
                mapLineList.push({line, location: siteCoordinate});
            })

            if (name == siteKey) {
                item["lineList"] = mapLineList;
            }
        }
        
    })
    
    mapLineData.forEach( data => {
        data.value = data.lineList.length;
    })

    // ret['dt'] = defaultConfig.mapDefault;
    ret['dt'] = {title: "线路列表", dataList: mapLineData};
            
    res.send(ret);
} 